//
// file :         standathread.h
//
// description :  reading thread
//
// project :      TANGO Device Server
//
// $Author: graziano $ 
//
// $Revision: 1.1 $
//
//
//
// copyleft :   Sincrotrone Trieste S.C.p.A.
//              Strada Statale 14 - km 163,5 in AREA Science Park
//              34012 Basovizza, Trieste ITALY
//

#ifndef STANDATHREAD_H_
#define STANDATHREAD_H_

#include <omnithread.h>
#include <tango.h>
#include "Standa8SMC3.h"

class standathread : public omni_thread, public Tango::LogAdapter 
{	
	private:
		Standa8SMC3_ns::Standa8SMC3 *mystanda;
		//int ReadValue(string);
		
		void abort_sleep(double time);
				
	public:
		
		standathread(Standa8SMC3_ns::Standa8SMC3 *s);
		~standathread();
		
		omni_mutex::omni_mutex *mutex_sleep;		
		int pausesec_dfl,pausenano_dfl;
					
	protected:
		void run(void *);
		
};	/* end class standathread() */

#endif /*STANDATHREAD_H_*/
